commit ba154494ae239b9a79fc0947cad497e983c80653
parent b669c8642e21850ea561931633ae06e6ba5bf354
Author: FRIGN <dev@frign.de>
Date: Tue, 5 Jan 2016 16:03:43 +0100
2ff: Check return values and handle errors
Also, in case convert(1) is not in the path, it will just return an
error-message giving the MIME-type of the problematic input data.
The return-value is given properly as well (0 on success, 1 on error).
Diffstat:
1 file changed, 9 insertions(+), 3 deletions(-)
diff --git a/2ff b/2ff
@@ -10,9 +10,15 @@ cat > $TMP;
FORMAT=$(file -ib $TMP | cut -d ";" -f 1);
case "$FORMAT" in
- image/png) png2ff < $TMP ;;
- image/jpeg) jpg2ff < $TMP ;;
- *) convert $TMP png:- | png2ff ;;
+ image/png) png2ff < $TMP; ret=$? ;;
+ image/jpeg) jpg2ff < $TMP; ret=$? ;;
+ *) xconvert $TMP png:- 2&>/dev/null | png2ff 2&>/dev/null; ret=$? ;;
esac
rm $TMP;
+
+if [ $ret -ne 0 ]; then
+ printf "%s: failed to convert %s\n" "$0" "$FORMAT" 1>&2;
+fi
+
+exit $ret;